#
#	Copyright (C) 2007. PARP Research Group.
#	<http://perception.inf.um.es>
#	University of Murcia, Spain.
#
#	This file is part of the QVision library.
#
#	QVision is free software: you can redistribute it and/or modify
#	it under the terms of the GNU Lesser General Public License as
#	published by the Free Software Foundation, version 3 of the License.
#
#	QVision is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU Lesser General Public License for more details.
#
#	You should have received a copy of the GNU Lesser General Public
#	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
#

################################
#
#	File qvision.pri
#

################################
## INCLUDE LOCAL CONFIGURATION
include(config.pri)

################################
## DEPENDENCIES AMONGS PACKAGES
# Esto no será realmente necesario es para asegurarnos de
# que no se incluye un paquete si no están incluidos sus
# antecesores en el árbol de dependencias.
qvipp:CONFIG += qvcore
qvinputoutput:CONFIG += qvcore
qvgui:CONFIG += qvcore
# etc...

################################
## PREPROCESSOR VARIABLES
# They work with #ifdef preprocesor directives
qvipp:DEFINES += PACKAGE_QVIPP
qwt:DEFINES += PACKAGE_QWT
qvio:DEFINES += PACKAGE_MPLAYERCAMERA MPLAYER_BINARY_PATH=\\\"$$MPLAYER_BINARY_PATH\\\" MENCODER_BINARY_PATH=\\\"$$MENCODER_BINARY_PATH\\\"

################################
## MISC DEFINES AND SETTINGS
DEPENDPATH += $$INSTALL_PATH/src/
INCLUDEPATH += $$INSTALL_PATH/include/

QMAKE_CXXFLAGS_RELEASE -= -O2
QMAKE_CXXFLAGS_RELEASE += -$$PERFORMANCE_OPTIMIZATION

################################
# Needed for pkg-config usage at PKGCONFIG var
CONFIG += link_pkgconfig

# For GSL
PKGCONFIG += gsl

################################
# Needed for Intel's CC
icc	{
	QMAKE_CXX = icc
	QMAKE_LINK = icc	# Undocumented variable. That is nice, Qt.
	}

################################
## COMPILATION MODE

release	{
	}
else	{
	CONFIG += debug
	}

debug	{
	# For gprof debugging
	QMAKE_LFLAGS_DEBUG += -p -pg
	QMAKE_CXXFLAGS_DEBUG += -p -pg

	# active warning messages when compiling
	CONFIG += warn_on
	}

QT += opengl

################################
## PACKAGE DEPENDANT DEFINES
qwt	{
	INCLUDEPATH	+= $$QWT_INCLUDE
	LIBS		+= -L$$QWT_LIB_DIR -l$$QWT_LIB_NAME
	!icc:LIBS	+= -Wl,-rpath $$QWT_LIB_DIR
	win32:DEFINES	+= QT_DLL QWT_DLL
	}

qvipp	{
	CONFIG += $$IPP_ARCH
	IPP_PATH = $$IPP_DIR/$$IPP_ARCH
	INCLUDEPATH += $$IPP_PATH/include
	unix	{
		LIBS		+= -L$$IPP_PATH/sharedlib
		!icc:LIBS	+= -Wl,-rpath $$IPP_PATH/sharedlib
		em64t:LIBS	+= -lguide -lippiem64t -lippcoreem64t -lippsem64t -lippccem64t -lippvcem64t -lippcvem64t
		ia32:LIBS	+= -lguide -lippi -lippcore -lipps -lippcc -lippvc -lippcv
		}
	}

