/*
 *	Copyright (C) 2007, 2008. PARP Research Group.
 *	<http://perception.inf.um.es>
 *	University of Murcia, Spain.
 *
 *	This file is part of the QVision library.
 *
 *	QVision is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as
 *	published by the Free Software Foundation, version 3 of the License.
 *
 *	QVision is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public
 *	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
 */

/// @file qvpointworker.cpp
/// @brief File from the QVision library.
/// @author PARP Research Group. University of Murcia, Spain.

#include <qvworkers/qvpointworker.h>

QVPointWorker::QVPointWorker(QString name): QVWorker(name)
	{
	// Input properties
	addProperty< int >("x", inputFlag, 10, "", 0, 999);
	addProperty< int >("y", inputFlag, 10, "", 0, 999);

	// Output properties
	addProperty< QPoint >("QPoint", outputFlag);
	}

void QVPointWorker::iterate()
	{
	const int	x = getPropertyValue< int >("x"),
			y = getPropertyValue< int >("y");

	setPropertyValue< QPoint >("QPoint", QPoint(x,y));
	}


